package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhDataStatTotal;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhDataStatTotalExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformGzhDataStatTotalMapper {
    long countByExample(ContentPlatformGzhDataStatTotalExample example);

    int deleteByExample(ContentPlatformGzhDataStatTotalExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformGzhDataStatTotal record);

    int insertSelective(ContentPlatformGzhDataStatTotal record);

    List<ContentPlatformGzhDataStatTotal> selectByExample(ContentPlatformGzhDataStatTotalExample example);

    ContentPlatformGzhDataStatTotal selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformGzhDataStatTotal record, @Param("example") ContentPlatformGzhDataStatTotalExample example);

    int updateByExample(@Param("record") ContentPlatformGzhDataStatTotal record, @Param("example") ContentPlatformGzhDataStatTotalExample example);

    int updateByPrimaryKeySelective(ContentPlatformGzhDataStatTotal record);

    int updateByPrimaryKey(ContentPlatformGzhDataStatTotal record);
}